Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1173205

Summary: Review Request: nodejs-dependency-lister - Lists your module's dependencies with URLs and licenses
Product: [Fedora] Fedora Reporter: Parag Nemade <pnemade>
Component: Package ReviewAssignee: Piotr Popieluch <piotr1212>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: package-review, piotr1212
Target Milestone: ---Flags: piotr1212: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: nodejs-dependency-lister-1.0.2-1.fc21 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-02-15 03:08:23 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1173203, 1173204, 1173206, 1177619    
Bug Blocks: 956806    

Description Parag Nemade 2014-12-11 16:47:22 UTC
Spec URL: https://pnemade.fedorapeople.org/fedora-work/SPECS/nodejs-dependency-lister.spec
SRPM URL: https://pnemade.fedorapeople.org/fedora-work/SRPMS/nodejs-dependency-lister-1.0.0-1.fc21.src.rpm
Description: 
Lists your module's dependencies with URLs and licenses.

Fedora Account System Username: pnemade

Comment 1 Piotr Popieluch 2014-12-28 17:34:38 UTC
Built and installed on f21. Not sure if this is the right output when I run the binary...

dependency-lister

/usr/lib/node_modules/dependency-lister/bin/cmd.js:26
if (argv.t === 'false')
        ^
TypeError: Cannot read property 't' of undefined
    at Object.<anonymous> (/usr/lib/node_modules/dependency-lister/bin/cmd.js:26:9)
    at Module._compile (module.js:456:26)
    at Object.Module._extensions..js (module.js:474:10)
    at Module.load (module.js:356:32)
    at Function.Module._load (module.js:312:12)
    at Function.Module.runMain (module.js:497:10)
    at startup (node.js:119:16)
    at node.js:906:3

Comment 2 Parag Nemade 2014-12-29 13:30:25 UTC
This needs update to nodejs-yargs-1.3.3 release. Then the binary will run fine.

Comment 3 Parag Nemade 2015-01-09 15:52:31 UTC
nodejs-yargs is updated just now on all stable branches. Can we have this approved now?

thanks

Comment 4 Piotr Popieluch 2015-01-18 20:42:53 UTC
APPROVED.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 3 files have unknown license. Detailed output of
     licensecheck in /home/piotr/rpmbuild/1173205-nodejs-dependency-
     lister/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-dependency-lister-1.0.0-1.fc22.noarch.rpm
          nodejs-dependency-lister-1.0.0-1.fc22.src.rpm
nodejs-dependency-lister.noarch: W: only-non-binary-in-usr-lib
nodejs-dependency-lister.noarch: W: dangling-symlink /usr/lib/node_modules/dependency-lister/node_modules/bluebird /usr/lib/node_modules/bluebird
nodejs-dependency-lister.noarch: W: dangling-symlink /usr/lib/node_modules/dependency-lister/node_modules/npm-stats /usr/lib/node_modules/npm-stats
nodejs-dependency-lister.noarch: W: dangling-symlink /usr/lib/node_modules/dependency-lister/node_modules/semver /usr/lib/node_modules/semver
nodejs-dependency-lister.noarch: W: dangling-symlink /usr/lib/node_modules/dependency-lister/node_modules/as-number /usr/lib/node_modules/as-number
nodejs-dependency-lister.noarch: W: dangling-symlink /usr/lib/node_modules/dependency-lister/node_modules/yargs /usr/lib/node_modules/yargs
nodejs-dependency-lister.noarch: W: dangling-symlink /usr/lib/node_modules/dependency-lister/node_modules/minstache /usr/lib/node_modules/minstache
nodejs-dependency-lister.noarch: W: no-manual-page-for-binary dependency-lister
2 packages and 0 specfiles checked; 0 errors, 8 warnings.




Rpmlint (installed packages)
----------------------------
]0;<mock-chroot><mock-chroot>[root@pontifex /]# rpmlint nodejs-dependency-lister
nodejs-dependency-lister.noarch: W: only-non-binary-in-usr-lib
nodejs-dependency-lister.noarch: W: dangling-symlink /usr/lib/node_modules/dependency-lister/node_modules/bluebird /usr/lib/node_modules/bluebird
nodejs-dependency-lister.noarch: W: dangling-symlink /usr/lib/node_modules/dependency-lister/node_modules/npm-stats /usr/lib/node_modules/npm-stats
nodejs-dependency-lister.noarch: W: dangling-symlink /usr/lib/node_modules/dependency-lister/node_modules/semver /usr/lib/node_modules/semver
nodejs-dependency-lister.noarch: W: dangling-symlink /usr/lib/node_modules/dependency-lister/node_modules/as-number /usr/lib/node_modules/as-number
nodejs-dependency-lister.noarch: W: dangling-symlink /usr/lib/node_modules/dependency-lister/node_modules/yargs /usr/lib/node_modules/yargs
nodejs-dependency-lister.noarch: W: dangling-symlink /usr/lib/node_modules/dependency-lister/node_modules/minstache /usr/lib/node_modules/minstache
nodejs-dependency-lister.noarch: W: no-manual-page-for-binary dependency-lister
1 packages and 0 specfiles checked; 0 errors, 8 warnings.
]0;<mock-chroot><mock-chroot>[root@pontifex /]# echo 'rpmlint-done:'



Requires
--------
nodejs-dependency-lister (rpmlib, GLIBC filtered):
    /usr/bin/env
    nodejs(engine)
    npm(as-number)
    npm(bluebird)
    npm(minstache)
    npm(npm-stats)
    npm(semver)
    npm(yargs)



Provides
--------
nodejs-dependency-lister:
    nodejs-dependency-lister
    npm(dependency-lister)



Source checksums
----------------
http://registry.npmjs.org/dependency-lister/-/dependency-lister-1.0.0.tgz :
  CHECKSUM(SHA256) this package     : 921cd1441d099bacae7e09ca30a681a2a4c4b6ac3ae25555df0d9e56ed5228f8
  CHECKSUM(SHA256) upstream package : 921cd1441d099bacae7e09ca30a681a2a4c4b6ac3ae25555df0d9e56ed5228f8
https://raw.githubusercontent.com/mattdesl/dependency-lister/master/test.js :
  CHECKSUM(SHA256) this package     : 02ad4af2f35f8844f2228998c1149bb2dcde90d04d17b9d8efb4b2ecdb40b5ea
  CHECKSUM(SHA256) upstream package : 02ad4af2f35f8844f2228998c1149bb2dcde90d04d17b9d8efb4b2ecdb40b5ea


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -b 1173205
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 5 Parag Nemade 2015-01-19 05:06:34 UTC
Thank you for this review.

New Package SCM Request
=======================
Package Name: nodejs-dependency-lister
Short Description: Lists your module's dependencies with URLs and licenses
Upstream URL: https://github.com/mattdesl/dependency-lister
Owners: pnemade
Branches: f20 f21 el6 epel7
InitialCC:

Comment 6 Gwyn Ciesla 2015-01-20 13:36:29 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2015-01-21 05:20:58 UTC
nodejs-dependency-lister-1.0.0-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/nodejs-dependency-lister-1.0.0-1.fc21

Comment 8 Fedora Update System 2015-01-21 23:04:56 UTC
nodejs-dependency-lister-1.0.0-1.fc21 has been pushed to the Fedora 21 testing repository.

Comment 9 Fedora Update System 2015-01-31 13:56:27 UTC
nodejs-dependency-lister-1.0.2-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/nodejs-dependency-lister-1.0.2-1.fc21

Comment 10 Fedora Update System 2015-02-15 03:08:23 UTC
nodejs-dependency-lister-1.0.2-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.